#ifndef CAESAR_H
#define CAESAR_H

#include <string>

class Caesar {
	public:
		Caesar(int rotation);
		void setRotation(int rotation);
		int getRotation();
		char encryptChar(char toEncrypt);
		std::string encryptString(std::string toEncrypt);
	private:
		int rotation;
		const int MIN = 32;
		const int MAX = 126;
};

#endif
